C
C*************************** CLOSIO ************************************
C
C  Close the input and output files.
C
C***********************************************************************
C
      SUBROUTINE CLOSIO
C
      IMPLICIT NONE
      INCLUDE 'IOUNITS.H'
C
      CLOSE(IFN)
      CLOSE(IIN1)
      CLOSE(IIN2)
      CLOSE(IIN3)
      CLOSE(IIN10)
      CLOSE(IIN11)
      CLOSE(IIN12)
      CLOSE(IIN13)
      CLOSE(IIN14)
      CLOSE(IIN20)
      CLOSE(IIN21)
      CLOSE(IIN22)
      CLOSE(IIN23)
      CLOSE(IIN30)
      CLOSE(IIN31)
      CLOSE(IIN32)
      CLOSE(IINPREPRO1)
      CLOSE(IINPREPRO2)
      CLOSE(IINPREPRO3)
      CLOSE(IINPREPRO4)
      CLOSE(IINPREPRO5)
      CLOSE(IINPREPRO6)
      CLOSE(IINPREPRO7)
      CLOSE(IINPREPRO8)
      CLOSE(IINPREPRO9)
      CLOSE(IINPREPRO10)
      CLOSE(IINPREPRO11)
      CLOSE(IINPREPRO12)
      CLOSE(IINPREPRO13)
      CLOSE(IINPREPRO14)
      CLOSE(IINPREPRO15)
      CLOSE(IINPREPRO16)
      CLOSE(IINPREPRO17)
      CLOSE(IINPREPRO18)
      CLOSE(IINPREPRO19)
      CLOSE(IINDEM1)
      CLOSE(IINDEM2)
      CLOSE(IINDEM3)
      CLOSE(IINDEM4)
      CLOSE(IINDEM10)
      CLOSE(IINDEM11)
      CLOSE(IINDEM12)
      CLOSE(IOUT1)
      CLOSE(IOUT2)
      CLOSE(IOUT3)
      CLOSE(IOUT4)
      CLOSE(IOUT5)
      CLOSE(IOUT6)
      CLOSE(IOUT7)
      CLOSE(IOUT8)
      CLOSE(IOUT9)
      CLOSE(IOUT10)
      CLOSE(IOUT11)
      CLOSE(IOUT12)
      CLOSE(IOUT13)
      CLOSE(IOUT14)
      CLOSE(IOUT15)
      CLOSE(IOUT16)
      CLOSE(IOUT17)
      CLOSE(IOUT18)
      CLOSE(IOUT19)
      CLOSE(IOUT20)
      CLOSE(IOUT30)
      CLOSE(IOUT31)
      CLOSE(IOUT32)
      CLOSE(IOUT33)
      CLOSE(IOUT36)
      CLOSE(IOUT40)
      CLOSE(IOUT41) 
      CLOSE(IOUT42) 
      CLOSE(IOUT43)
      CLOSE(IOUT44)
      CLOSE(IOUT50) 
      CLOSE(IOUT51) 
      CLOSE(IOUT57)
      CLOSE(IOUT70)
      CLOSE(IOUT71)
      CLOSE(IOUT80)
      CLOSE(IOUT81)
      CLOSE(IOUTPT)
      CLOSE(ITERM)
C
      RETURN
      END
